package cn.com.ctop.common.module.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class ByteDanceAdvertiserReportDTO implements Serializable {
    private Long advertiserId;
    private String startDate;
    private String endDate;
    private Integer pageSize;
    private Integer page;
    private String timeGranularity;



    private List<String> fields;



    public List<String> getFieldsList(){
        List<String> fields = new ArrayList<>();
        fields.add("cost");
        fields.add("show");
        fields.add("avg_show_cost");
        fields.add("avg_click_cost");
        fields.add("click");
        fields.add("ctr");
        fields.add("convert");
        fields.add("convert_cost");
        fields.add("convert_rate");
        fields.add("deep_convert");
        fields.add("deep_convert_cost");
        fields.add("deep_convert_rate");
        fields.add("attribution_convert");
        fields.add("attribution_convert_cost");
        fields.add("attribution_deep_convert");
        fields.add("attribution_deep_convert_cost");
        fields.add("download_start");
        fields.add("download_start_cost");
        fields.add("download_start_rate");
        fields.add("download_finish");
        fields.add("download_finish_cost");
        fields.add("download_finish_rate");
        fields.add("install_finish");
        fields.add("install_finish_cost");
        fields.add("install_finish_rate");
        fields.add("active");
        fields.add("active_cost");
        fields.add("active_rate");
        fields.add("register");
        fields.add("active_register_cost");
        fields.add("active_register_rate");
        fields.add("attribution_next_day_open_cnt");
        fields.add("attribution_next_day_open_cost");
        fields.add("attribution_next_day_open_rate");
        fields.add("next_day_open");
        fields.add("game_addiction");
        fields.add("game_addiction_cost");
        fields.add("game_addiction_rate");
        fields.add("pay_count");
        fields.add("active_pay_cost");
        fields.add("active_pay_rate");
        fields.add("game_pay_count");
        fields.add("game_pay_cost");
        fields.add("attribution_game_pay_7d_count");
        fields.add("attribution_game_pay_7d_cost");
        fields.add("attribution_active_pay_7d_per_count");
        fields.add("loan_completion");
        fields.add("loan_completion_cost");
        fields.add("loan_completion_rate");
        fields.add("pre_loan_credit");
        fields.add("pre_loan_credit_cost");
        fields.add("loan_credit");
        fields.add("loan_credit_cost");
        fields.add("loan_credit_rate");
        fields.add("in_app_uv");
        fields.add("in_app_detail_uv");
        fields.add("in_app_cart");
        fields.add("in_app_pay");
        fields.add("in_app_order");
        fields.add("phone");
        fields.add("form");
        fields.add("map_search");
        fields.add("button");
        fields.add("view");
        fields.add("download");
        fields.add("qq");
        fields.add("lottery");
        fields.add("vote");
        fields.add("message");
        fields.add("redirect");
        fields.add("shopping");
        fields.add("consult");
        fields.add("wechat");
        fields.add("wechat_login_count");
        fields.add("attribution_wechat_login_30d_count");
        fields.add("wechat_login_cost");
        fields.add("attribution_wechat_login_30d_cost");
        fields.add("wechat_first_pay_count");
        fields.add("attribution_wechat_first_pay_30d_count");
        fields.add("wechat_first_pay_cost");
        fields.add("attribution_wechat_first_pay_30d_cost");
        fields.add("wechat_first_pay_rate");
        fields.add("attribution_wechat_first_pay_30d_rate");
        fields.add("wechat_pay_amount");
        fields.add("attribution_wechat_pay_30d_amount");
        fields.add("attribution_wechat_pay_30d_roi");
        fields.add("phone_connect");
        fields.add("phone_confirm");
        fields.add("phone_effective");
        fields.add("consult_effective");
        fields.add("coupon");
        fields.add("coupon_single_page");
        fields.add("redirect_to_shop");
        fields.add("poi_address_click");
        fields.add("poi_collect");
        fields.add("luban_order_cnt");
        fields.add("luban_order_stat_amount");
        fields.add("luban_order_roi");
        fields.add("luban_live_enter_cnt");
        fields.add("live_watch_one_minute_count");
        fields.add("luban_live_follow_cnt");
        fields.add("live_fans_club_join_cnt");
        fields.add("luban_live_comment_cnt");
        fields.add("luban_live_share_cnt");
        fields.add("luban_live_gift_cnt");
        fields.add("luban_live_gift_amount");
        fields.add("luban_live_slidecart_click_cnt");
        fields.add("luban_live_click_product_cnt");
        fields.add("luban_live_pay_order_count");
        fields.add("luban_live_pay_order_stat_cost");
        //fields.add("live_pay_order_cost_per_order");
        fields.add("total_play");
        fields.add("valid_play");
        fields.add("valid_play_cost");
        fields.add("valid_play_rate");
        fields.add("play_25_feed_break");
        fields.add("play_50_feed_break");
        fields.add("play_100_feed_break");
        //fields.add("play_25_feed_break_rate");
        //fields.add("play_50_feed_break_rate");
        //fields.add("play_100_feed_break_rate");
        //fields.add("play_75_feed_break_rate");
        fields.add("average_play_time_per_play");
        //fields.add("play_over");
        fields.add("play_over_rate");
        fields.add("wifi_play_rate");
        fields.add("wifi_play");
        fields.add("card_show");
        //fields.add("play_duration_2s_rate");
        //fields.add("play_duration_3s_rate");
        //fields.add("play_duration_5s_rate");
        //fields.add("play_duration_10s_rate");
        fields.add("advanced_creative_phone_click");
        fields.add("advanced_creative_counsel_click");
        fields.add("advanced_creative_form_click");
        fields.add("advanced_creative_coupon_addition");
        fields.add("advanced_creative_form_submit");
        fields.add("share");
        fields.add("comment");
        fields.add("like");
        fields.add("follow");
        //fields.add("dislike");
        //fields.add("report");
        fields.add("message_action");
        fields.add("home_visited");
        fields.add("ies_challenge_click");
        fields.add("ies_music_click");
        fields.add("location_click");
        fields.add("click_download");
        fields.add("click_call_dy");
        fields.add("click_shopwindow");
        fields.add("click_website");
        fields.add("click_landing_page");
        //fields.add("interact_per_cost");
        //fields.add("convert_show_rate");
        //fields.add("cpc");
        //fields.add("cpm");
        //fields.add("cpa");
        fields.add("submit_certification_count");
        fields.add("approval_count");
        fields.add("first_order_count");
        fields.add("first_rental_order_count");
        fields.add("commute_first_pay_count");
        fields.add("live_component_click_count");
        fields.add("live_component_click_cost");
        fields.add("live_component_click_rate");
        return fields;

    }



}
